package publicreport

import (
	"context"
	//"time"

	//"github.com/Gleipnir-Technology/jet/postgres"
	"source.gleipnir.technology/Gleipnir/nidus-sync/db"
	"source.gleipnir.technology/Gleipnir/nidus-sync/db/gen/nidus-sync/publicreport/model"
	"source.gleipnir.technology/Gleipnir/nidus-sync/db/gen/nidus-sync/publicreport/table"
)

func SubscribePhoneInsert(ctx context.Context, txn db.Ex, m model.SubscribePhone) (model.SubscribePhone, error) {
	statement := table.SubscribePhone.INSERT(table.SubscribePhone.AllColumns).
		MODEL(m).
		RETURNING(table.SubscribePhone.AllColumns)
	return db.ExecuteOneTx[model.SubscribePhone](ctx, txn, statement)
}
